Overview | Modules | Class Hierarchy | Classes | Members

# Observable.h File Reference

`#include <tulip/tulipconf.h>`
`#include <ext/slist>`
`#include <map>`
`#include <set>`

Include dependency graph for Observable.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

- namespace tlp

## Classes

- class tlp::Observer
- class tlp::Observable

## Typedefs

- typedef std::map< Observer *,
  std::set< Observable * > > tlp::ObserverMap
- typedef std::map< Observable *,
  std::set< Observer * > > tlp::ObservableMap

Tulip Software by LaBRI Visualization Team 2001 - 2010